{% extends 'template.html' %}
{% block extracss %}
    <!-- Datatables -->
    <link href="/static/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/scroller.bootstrap.min.css" rel="stylesheet">
    {% block extrahead_list %}

    {% endblock %}
{% endblock %}
{% block cuerpo %}  

{% block topbuttons %}

{% endblock %}
<script>
    $(function() {
        $('#id_ci').on('change', function() {
            buscar_personal();
        });	
              
        function buscar_personal()
        {
          xci = $('#id_ci').val();
          $.ajax({
              data: {'ci': xci },
              url: '/administrador/buscarpersonal/',
              type: 'get',
              success: function(data) {                           
                $('#id_nombre').val(data[0].nombre);
                $('#id_a_paterno').val(data[0].a_paterno);
                $('#id_a_materno').val(data[0].a_materno);
                $('#id_cargo').val(data[0].cargo); 
                $('#id_sexo').val(data[0].sexo); 
              },
              error: function(message) {
                console.log(message);
              },
            });
        }
      });
    </script>
 <div class="x_panel">
    <div class="x_title">
        <h2><i class="fa fa-plus"></i> {{ title }}</h2>
      <ul class="nav navbar-right panel_toolbox">
        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
        </li>
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
          <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
              <a class="dropdown-item" href="#">Settings 1</a>
              <a class="dropdown-item" href="#">Settings 2</a>
            </div>
        </li>
        <li><a class="close-link"><i class="fa fa-close"></i></a>
        </li>
      </ul>
      <div class="clearfix"></div>
    </div>
    <div class="x_content">
<form method="post" >
    {% csrf_token %}
    <input type="hidden" name="action" value="{{ action }}">
    {% comment %}{% if form.errors %}
        <div class="alert alert-danger" role="alert">
            <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
            <span class="sr-only">Error:</span>
            Ha ocurrido un error al querer guardar el registro
            <ul>
                {% for field in form %}
                    {% for error in field.errors %}
                        <li>{{ error }}</li>
                    {% endfor %}
                {% endfor %}
            </ul>
        </div>
    {% endif %}{% endcomment %}
    {% for field in form.visible_fields %}
        <div class="form-group">
            <div class="col-md-6 col-sm-6 col-xs-12 form-group has-feedback">
                <label for="email">{{ field.label }}:</label>
                {{ field }}
            </div>            
        </div>
    {% endfor %}
    <div class="ln_solid"></div>
    <div class=" ">
        <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> Guardar registro</button>
        <a href="{{ list_url }}" class="btn btn-success"><i class="fa fa-times"></i> Cancelar</a>
    </div>
</form>
</div>
</div>

{% endblock %}
{% block extrajs %}
    <!-- Datatables -->
    <script src="/static/js/jquery.dataTables.min.js"></script>
    <script src="/static/js/dataTables.bootstrap.min.js"></script>
    <script src="/static/js/dataTables.buttons.min.js"></script>
    <script src="/static/js/buttons.bootstrap.min.js"></script>
    <script src="/static/js/buttons.flash.min.js"></script>
    <script src="/static/js/buttons.html5.min.js"></script>
    <script src="/static/js/buttons.print.min.js"></script>
    <script src="/static/js/dataTables.fixedHeader.min.js"></script>
    <script src="/static/js/dataTables.keyTable.min.js"></script>
    <script src="/static/js/dataTables.responsive.min.js"></script>
    <script src="/static/js/responsive.bootstrap.js"></script>
    <script src="/static/js/dataTables.scroller.min.js"></script>
    <script src="/static/js/jszip.min.js"></script>
    <script src="/static/js/pdfmake.min.js"></script>
    <script src="/static/js/vfs_fonts.js"></script>   
{% endblock %}